
#language: ru

@carc

Функционал: 013. CARC. Создание заказов клиентов

Сценарий: 013.1. CARC. Создание заказа клиента

	Дано Я подключаюсь под "Создание заказов клиентов"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И Я буду читать файл "Заказы клиента.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы клиентов' в течение 60 секунд
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 013.2. CARC. Проверка загрузки заказов отчетом

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Комментарий'              | 'Контрагент'         | 'Организация' | 'Сумма'         | 'Точка доставки'     |
		| '25.08.2020'    | '25.08.2020'    | 'Заказ Ашан(продажа тары)' | 'Ашан(продажа тары)' | 'Организация' | '1 500,00, RUB' | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку с именем 'ПодменюОтчетыСмТакже_Авто_3E08091877A5277BEC2619EF47395CBB'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Проверка загрузки заказа"
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 013.3. CARC. Завершение

	И я закрываю сеанс TESTCLIENT
